Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.federated
Enum NodeCapability

    java.lang.Object
      java.lang.Enum<NodeCapability>
          com.bea.content.federated.NodeCapability

All Implemented Interfaces
  Serializable, Comparable<NodeCapability>

    public enum NodeCapability

extends Enum<NodeCapability>

Security capabilities for Node activities

Enum Constant Summary
`ASSOCIATE` can the caller associate the node with a workflow?
`CREATE`
`DELETE`
`PUBLISH`
`UPDATE`
`VIEW`

Method Summary
`static NodeCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASSOCIATE

    public static final NodeCapability ASSOCIATE

  can the caller associate the node with a workflow?

### CREATE

    public static final NodeCapability CREATE

### DELETE

    public static final NodeCapability DELETE

### UPDATE

    public static final NodeCapability UPDATE

### VIEW

    public static final NodeCapability VIEW

### PUBLISH

    public static final NodeCapability PUBLISH

Method Detail

### values

    public static final NodeCapability[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static NodeCapability valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved